screen stats:

    frame:
        yalign 0.25
        hbox:
            vbox:
                text "Ticklishness"
                text "Foot-Smell"
                text "Domination"
                text "Reflexology"
                text "Foot-Worship"
                text "Arcane"
                text "Occult"
                text "Tech"
                text "Stamina"
                text "Willpower"
                text "Energy"
                text "Money"
            vbox:
                text "[p1.tkl]"
                text "[p1.fs]"
                text "[p1.dom]"
                text "[p1.ref]"
                text "[p1.fw]"
                text "[p1.arc]"
                text "[p1.occ]"
                text "[p1.tech]"
                text "[p1.sta]"
                text "[p1.will]"
                text "[p1.eng]"
                text "[p1.mon]"

screen mychoiceobj(choice, description):

    text description align (0.5, 0.25)

    vbox:
        align (0.5, 0.5)
        for i in choice:
            textbutton i.name action Return(i)

screen mychoice(choice, description):

    text description align (0.5, 0.25)

    vbox:
        align (0.5, 0.5)
        for i in choice:
            textbutton i action Return(i)

screen downtown:

    tag map

    text "This is the Downtown district." align(0.75, 0.25)

    vbox:
        align(0.5, 0.5)
        text "Where do you want to go?"
        for i in current_district.locations:
            textbutton i.name action Jump(i.label)

    hbox:
        align(0.5, 0.75)
        textbutton "Return" action Return()
        textbutton "Map" action Show("map")

screen lab_complex:

    tag map

    text "This is the Lab Complex." align(0.75, 0.25)

    vbox:
        align(0.5, 0.5)
        text "Where do you want to go?"
        for i in current_district.locations:
            textbutton i.name action Jump(i.label)

    hbox:
        align(0.5, 0.75)
        textbutton "Return" action Return()
        textbutton "Map" action Show("map")

screen map:

    tag map

    default destination = None

    vbox:
        align (0.5, 0.5)
        for i in current_scenario.districts:
            if i is not current_district:
                textbutton i.name action SetScreenVariable ("destination", i)

    hbox:
        align (1.0, 1.0)
        textbutton "Return" action Jump("main")
        if destination is not None:
            textbutton destination.name action Function(travel, destination)
